﻿@model Assignment.Models.InvolvementViewModel

@{
    ViewBag.Title = "Assignment";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    <h5>Please enter your name and pick the Sectors you are currently involved in.</h5>
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="form-group">
        @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.Label("Sectors", htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.ListBoxFor(model => model.SelectedSectorIds, new MultiSelectList(Model.Sectors, "Id", "Name"), new { multiple = "multiple", @class = "form-control" })
            @Html.ValidationMessageFor(model => model.SelectedSectorIds, "", new { @class = "text-danger" })
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.AgreedToTerms)
            </div>
        </div>
        @Html.LabelFor(model => model.AgreedToTerms, htmlAttributes: new { @class = "control-label float-left" })
        <div class="error">@Html.ValidationMessageFor(model => model.AgreedToTerms, "", new { @class = "text-danger" })</div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Save" class="btn btn-default" />
        </div>
    </div>

    @if (ViewData["Saved"] != null)
    {
        <div>@ViewData["Saved"]</div>
    }
</div>
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

